local LIB_AceAddon = LibStub("AceAddon-3.0") or error("Required library AceAddon-3.0 not found")
local Hermes = LibStub("AceAddon-3.0"):GetAddon("Hermes")
local MODNAME = "HermesParrot"
local HermesParrot = Hermes:NewModule(MODNAME)

local ParrotDisplay = nil

function HermesParrot:OnEnable()
	local Parrot = LIB_AceAddon:GetAddon("Parrot", true)
	if(Parrot) then
		ParrotDisplay = Parrot:GetModule("Display")
	end
end

function HermesParrot:OnDisable()

end

function HermesParrot:OnInitialize()
	self:SetEnabledState(false)
end

function HermesParrot:SendNotReadyMessage(playerName, senderName, trackerName, trackerIcon, trackerClass)
	if(ParrotDisplay and ParrotDisplay:IsEnabled() and playerName ~= senderName) then
		--[[
		ParrotDisplay:ShowMessage(trackerName.." (|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r|TInterface\\RAIDFRAME\\ReadyCheck-NotReady.blp:0:0:0:0|t)",
			nil,			--scroll area, default is Notification
			false,			--sticky
			nil,			--r
			nil,			--g
			nil,			--b
			nil,			--font
			nil,			--fontSize
			nil,			--outline
			trackerIcon
		)]]--
		
		ParrotDisplay:ShowMessage("|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r (|T"..trackerIcon..":0:0:0:0|t"..trackerName..")",
			nil,			--scroll area, default is Notification
			false,			--sticky
			nil,			--r
			nil,			--g
			nil,			--b
			nil,			--font
			nil,			--fontSize
			nil,			--outline
			"Interface\\RAIDFRAME\\ReadyCheck-NotReady.blp"
		)
	end
end

function HermesParrot:SendReadyMessage(playerName, senderName, trackerName, trackerIcon, trackerClass)
	if(ParrotDisplay and ParrotDisplay:IsEnabled() and playerName ~= senderName) then
		--[[
		ParrotDisplay:ShowMessage(trackerName.." (|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r|TInterface\\RAIDFRAME\\ReadyCheck-Ready.blp:0:0:0:0|t)",
			nil,			--scroll area, default is Notification
			false,			--sticky
			nil,			--r
			nil,			--g
			nil,			--b
			nil,			--font
			nil,			--fontSize
			nil,			--outline
			trackerIcon
		)
		]]--
		ParrotDisplay:ShowMessage("|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r (|T"..trackerIcon..":0:0:0:0|t"..trackerName..")",
			nil,			--scroll area, default is Notification
			false,			--sticky
			nil,			--r
			nil,			--g
			nil,			--b
			nil,			--font
			nil,			--fontSize
			nil,			--outline
			"Interface\\RAIDFRAME\\ReadyCheck-Ready.blp"
		)
	end
end